This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112956 - Hijacking Apache https by mod_php
Hijacking Apache https by mod_php
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 12:31 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 12:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-01-06 12:31:31 EST
Description of problem, how reproducible and steps to reproduce:
Mod_php under Apache 2.0.x leaks a critical file descriptor that 
can be used to takeover (hijack) the https service.

All in all it's described at Bugtraq:
http://www.securityfocus.com/archive/1/348368

Version-Release number of selected component (if applicable):
httpd-2.0.48-4

Actual results:
I talked with a guy of php.net, he said, that it is an Apache 
related problem, so something like that is maybe possible with 
phyton, too. He said too, that Apache will provide a patch for 
that - anytime...

Expected results:
Fixed httpd asap ;) the fix is like this:

  fcntl( X, F_SETFD, FD_CLOEXEC );

But the question is where to place it, X should also be replaced
with the real variable's name. 

Additional info:
Red Hat Linux 9 is vulnerable, too.
Comment 1 Joe Orton 2004-02-11 12:24:51 EST
This "leaking" of file descriptors does not have security implications
unless you consider that the PHP interpreter provides a "security
sandbox" from which it is possible to run untrusted code.  For further
information, read our write-up in ApacheWeek:

http://www.apacheweek.com/issues/04-01-23#security

Note You need to log in before you can comment on or make changes to this bug.